camel-git

Clone Tools
  • last updated 19 mins ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Update version to 3.2.0-SNAPSHOT

    • -1
    • +1
    /archetypes/camel-archetype-cdi/pom.xml
    • -1
    • +1
    /archetypes/camel-archetype-java/pom.xml
    • -1
    • +1
    /archetypes/camel-archetype-java8/pom.xml
    • -1
    • +1
    /archetypes/camel-archetype-main/pom.xml
    • -1
    • +1
    /archetypes/camel-archetype-web/pom.xml
  1. … 431 more files in changeset.
Merge branch 'release/3.1.0' into camel-3.1.x

Removed kafka-avro-serializer version placeholder

Upgrade AWS SDK v2 to version 2.10.73

Upgrade jSMPP to version 2.3.9

Upgrade Jgroups to version 4.2.0.Final

Upgrade AWS SDK v2 to version 2.10.72

Gh action for push 3.1.x

    • -1
    • +1
    /.github/workflows/master-push-build.yml
Update pr build for 3.1.x gh actions

    • -2
    • +2
    /.github/workflows/master-pr-build.yml
Regen documentation

Merge pull request #3600 from valdar/CAMEL-14615

Removed brokers property from kafka component (can still be setted in…

Upgrade Spring to version 5.2.4.RELEASE

link too source broken (#3599)

Removed brokers property from kafka component (can still be setted in configurations) details here: https://issues.apache.org/jira/browse/CAMEL-14615 fixed CAMEL-14615: camel kafka starter for spring does not consider camel.component.kafka.brokers property.

Use AbstractReifier.createProcessor() when possible

Upgrade Brave Zipkin to version 5.10.0

Remove references to error handler and event driven processors once creation is finished

A bit of cleaning

Use ExchangeHelper.getRoute(Exchange) when possible

Upgrade Reactor to version 3.2.15.RELEASE

Upgrade RXjava to version 2.2.18

Flaky CI test

Upgrade AWS SDK v2 to version 2.10.71

Revert "CAMEL-14020 - Migrate getOut to getMessage in camel-spring-integration"

This reverts commit d3586cc0af2af7719f5612ab3398d079f398e1ef.

CAMEL-14020: Fixed test

Regen

CAMEL-14608: add support for dead letter policies to camel-pulsar (#3595)

* CAMEL-14608: add support for dead letter policies to camel-pulsar

* CAMEL-14608: address documentation issues

Regen

CAMEL-14612 - Change version of networknt from 1.0.29 to 1.0.31 (#3598)

Upgrade PDFBox to version 2.0.19